<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormPalettesManager class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormPalettesManager">GormPalettesManager class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormPalettesManager
        class
      </a></h1>
    <h2><a name="class$GormPalettesManager">GormPalettesManager</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormPalettesManager.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormPalettesManager_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-importClasses$withDictionary$">-importClasses:withDictionary:</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-importImages$withBundle$">-importImages:withBundle:</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-importSounds$withBundle$">-importSounds:withBundle:</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-importedClasses">-importedClasses</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-importedImages">-importedImages</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-importedSounds">-importedSounds</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-loadPalette$">-loadPalette:</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-openPalette$">-openPalette:</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-panel">-panel</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-setCurrentPalette$">-setCurrentPalette:</a></li>
      <li><a rel="gsdoc" href="GormPalettesManager.html#method$GormPalettesManager-substituteClasses">-substituteClasses</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormPalettesManager-importClasses$withDictionary$">importClasses:&nbsp;withDictionary:&nbsp;</a></h3>
    - (void) <b>importClasses:</b> (NSArray*)classes<b> withDictionary:</b> (NSDictionary*)dict;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-importImages$withBundle$">importImages:&nbsp;withBundle:&nbsp;</a></h3>
    - (void) <b>importImages:</b> (NSArray*)images<b> withBundle:</b> (NSBundle*)bundle;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-importSounds$withBundle$">importSounds:&nbsp;withBundle:&nbsp;</a></h3>
    - (void) <b>importSounds:</b> (NSArray*)sounds<b> withBundle:</b> (NSBundle*)bundle;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-importedClasses">importedClasses&nbsp;</a></h3>
    - (NSDictionary*) <b>importedClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-importedImages">importedImages&nbsp;</a></h3>
    - (NSArray*) <b>importedImages</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-importedSounds">importedSounds&nbsp;</a></h3>
    - (NSArray*) <b>importedSounds</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-loadPalette$">loadPalette:&nbsp;</a></h3>
    - (BOOL) <b>loadPalette:</b> (NSString*)path;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-openPalette$">openPalette:&nbsp;</a></h3>
    - (id) <b>openPalette:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-panel">panel&nbsp;</a></h3>
    - (NSPanel*) <b>panel</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-setCurrentPalette$">setCurrentPalette:&nbsp;</a></h3>
    - (void) <b>setCurrentPalette:</b> (id)anObj;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesManager-substituteClasses">substituteClasses&nbsp;</a></h3>
    - (NSDictionary*) <b>substituteClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormPalettesManager_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormPalettesManager Class</h2>
    <h3><a name="ivariable$GormPalettesManager*bundles">bundles</a></h3>
    @protected NSMutableArray* <b>bundles</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*current">current</a></h3>
    @protected int <b>current</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*dragView">dragView</a></h3>
    @protected NSView* <b>dragView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*hiddenDuringTest">hiddenDuringTest</a></h3>
    @protected BOOL <b>hiddenDuringTest</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*importedClasses">importedClasses</a></h3>
    @protected NSMutableDictionary* <b>importedClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*importedImages">importedImages</a></h3>
    @protected NSMutableArray* <b>importedImages</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*importedSounds">importedSounds</a></h3>
    @protected NSMutableArray* <b>importedSounds</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*palettes">palettes</a></h3>
    @protected NSMutableArray* <b>palettes</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*panel">panel</a></h3>
    @protected NSPanel* <b>panel</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*selectionView">selectionView</a></h3>
    @protected NSMatrix* <b>selectionView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesManager*substituteClasses">substituteClasses</a></h3>
    @protected NSMutableDictionary* <b>substituteClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
